%global oname targetcli-fb

Name:           targetcli
Version:        3.0.0
Release:        %mkrel 1
Summary:        An administration shell for storage targets
License:        ASL 2.0
Group:          System/Libraries
URL:            https://github.com/open-iscsi/targetcli-fb
Source0:        https://github.com/open-iscsi/targetcli-fb/archive/v%{version}/%{oname}-%{version}.tar.gz
Patch1:         targetcli-fb-2.1.54-systemd.patch
BuildArch:      noarch
BuildRequires:  systemd-units
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools

Requires:       python3-rtslib >= 2.1
Requires:       python3-configshell
Requires:       python3-dbus
Requires:       python3-ethtool
Requires:       python3-six

%description
An administration shell for configuring iSCSI, FCoE, and other
SCSI targets, using the TCM/LIO kernel target subsystem. FCoE
users will also need to install and use fcoe-utils.

%prep
%autosetup -p1 -n %{oname}-%{version}

%generate_buildrequires
export SETUPTOOLS_SCM_PRETEND_VERSION="%{version}"
%pyproject_buildrequires

%build
export SETUPTOOLS_SCM_PRETEND_VERSION="%{version}"
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files targetcli

mkdir -p %{buildroot}%{_sysconfdir}/target/backup
mkdir -p %{buildroot}%{_mandir}/man8/
install -m 644 targetcli*.8 %{buildroot}%{_mandir}/man8/
mkdir -p %{buildroot}%{_unitdir}/
install -m 644 systemd/* %{buildroot}%{_unitdir}/

%files -f %{pyproject_files}
%doc COPYING README.md
%{_bindir}/%{name}
%{_bindir}/%{name}d
%dir %{_sysconfdir}/target
%dir %{_sysconfdir}/target/backup
%{_unitdir}/%{name}d.service
%{_unitdir}/%{name}d.socket
%{_mandir}/man8/%{name}*.8*


%changelog
* Wed Mar 12 2025 papoteur <papoteur> 3.0.0-1.mga10
+ Revision: 2162973
- new version 3.0.0

* Fri Nov 29 2024 daviddavid <daviddavid> 2.1.58-1.mga10
+ Revision: 2119921
- new version: 2.1.58

* Tue Dec 19 2023 papoteur <papoteur> 2.1.54-2.mga10
+ Revision: 2019496
- Mass Rebuild - Python 3.12

* Wed Dec 14 2022 neoclust <neoclust> 2.1.54-1.mga9
+ Revision: 1921924
- New version 2.1.54

* Thu Mar 24 2022 umeabot <umeabot> 2.1.53-4.mga9
+ Revision: 1824770
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tmb <tmb> 2.1.53-3.mga9
+ Revision: 1774923
- rebuild for python 3.10

* Wed Mar 24 2021 tv <tv> 2.1.53-2.mga9
+ Revision: 1708771
- rebuild for python 3.9

* Thu Aug 06 2020 daviddavid <daviddavid> 2.1.53-1.mga8
+ Revision: 1611469
- new version: 2.1.53, fixes CVE-2020-13867 (mga#27041)

* Wed Feb 26 2020 daviddavid <daviddavid> 2.1.fb49-2.mga8
+ Revision: 1550673
- switch to python3
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Mon Jan 07 2019 zezinho <zezinho> 2.1.fb49-1.mga7
+ Revision: 1351374
- new version 2.1.fb49

* Wed Sep 19 2018 umeabot <umeabot> 2.1.fb42-2.mga7
+ Revision: 1276647
- Mageia 7 Mass Rebuild

* Mon Dec 14 2015 zezinho <zezinho> 2.1.fb42-1.mga6
+ Revision: 910498
- new version

* Wed Sep 09 2015 zezinho <zezinho> 2.1.fb41-1.mga6
+ Revision: 874579
- new version

* Wed Oct 15 2014 umeabot <umeabot> 2.1.fb36-4.mga5
+ Revision: 746620
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.1.fb36-3.mga5
+ Revision: 730519
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.1.fb36-2.mga5
+ Revision: 689694
- Mageia 5 Mass Rebuild

* Fri Aug 29 2014 zezinho <zezinho> 2.1.fb36-1.mga5
+ Revision: 669244
- new version
+ pterjan <pterjan>
- Rebuild for new Python

* Wed May 21 2014 zezinho <zezinho> 2.1.fb35-1.mga5
+ Revision: 624663
- new version

* Wed Mar 12 2014 dams <dams> 2.1.fb34-1.mga5
+ Revision: 602650
- new version 2.1.fb34

* Thu Feb 13 2014 zezinho <zezinho> 2.1.fb33-1.mga5
+ Revision: 590136
- imported package targetcli


* Wed Dec 4 2013 Andy Grover <agrover@redhat.com> - 2.1.fb33-1
- New upstream version

* Fri Nov 1 2013 Andy Grover <agrover@redhat.com> - 2.1.fb31-1
- New upstream version
- Move service handling to python-rtslib
- Remove old packaging bits: clean, buildroot, defattr

* Tue Sep 11 2013 Andy Grover <agrover@redhat.com> - 2.1.fb30-1
- New upstream version

* Tue Sep 10 2013 Andy Grover <agrover@redhat.com> - 2.1.fb29-1
- New upstream release
- Remove no-longer-needed BuildRequires

* Mon Aug 5 2013 Andy Grover <agrover@redhat.com> - 2.1.fb28-1
- New upstream release

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.fb27-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 23 2013 Andy Grover <agrover@redhat.com> - 2.1.fb27-1
- New upstream release
- License now Apache 2.0
- Remove patch modules-not-loaded.patch

* Mon Jun 18 2013 Andy Grover <agrover@redhat.com> - 2.1.fb26-2
- Add patch
  * modules-not-loaded.patch

* Fri Jun 7 2013 Andy Grover <agrover@redhat.com> - 2.1.fb26-1
- New upstream release

* Thu May 9 2013 Andy Grover <agrover@redhat.com> - 2.1.fb25-1
- New upstream release

* Thu May 2 2013 Andy Grover <agrover@redhat.com> - 2.1.fb24-1
- New upstream release
- Update source URL

* Fri Apr 12 2013 Andy Grover <agrover@redhat.com> - 2.1.fb23-1
- New upstream release

* Wed Apr 10 2013 Andy Grover <agrover@redhat.com> - 2.1.fb22-1
- New upstream release

* Mon Mar 4 2013 Andy Grover <agrover@redhat.com> - 2.0.fb21-1
- New upstream release

* Tue Feb 26 2013 Andy Grover <agrover@redhat.com> - 2.0.fb20-1
- New upstream release

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0rc1.fb19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jan 7 2013 Andy Grover <agrover@redhat.com> - 2.0rc1.fb19-1
- New upstream release

* Thu Jan 3 2013 Andy Grover <agrover@redhat.com> - 2.0rc1.fb18-2
- Add python-ethtool BuildRequires

* Thu Dec 20 2012 Andy Grover <agrover@redhat.com> - 2.0rc1.fb18-1
- New upstream release
- Add python-ethtool requires
- Update Source0 to use Github tar-from-tag instead of Downloads

* Thu Dec 13 2012 Lukáš Nykrýn <lnykryn@redhat.com> - 2.0rc1.fb17-2
- Scriptlets replaced with new systemd macros (#850335)

* Mon Nov 12 2012 Andy Grover <agrover@redhat.com> - 2.0rc1.fb17-1
- New upstream release

* Tue Aug 7 2012 Andy Grover <agrover@redhat.com> - 2.0rc1.fb16-1
- New upstream release
- Update rtslib version dependency

* Tue Jul 31 2012 Andy Grover <agrover@redhat.com> - 2.0rc1.fb15-1
- New upstream release

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0rc1.fb14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 28 2012 Andy Grover <agrover@redhat.com> - 2.0rc1.fb14-2
- Fix %%files to claim /etc/target, not claim sitelib

* Thu Jun 28 2012 Andy Grover <agrover@redhat.com> - 2.0rc1.fb14-1
- New upstream release

* Tue Jun 12 2012 Andy Grover <agrover@redhat.com> - 2.0rc1.fb13-1
- New upstream release

* Wed May 30 2012 Andy Grover <agrover@redhat.com> - 2.0rc1.fb12-1
- Update Source URL to proper tarball
- New upstream release

* Mon Apr 9 2012 Andy Grover <agrover@redhat.com> - 2.0rc1.fb11-1
- New upstream release

* Wed Feb 29 2012 Andy Grover <agrover@redhat.com> - 2.0rc1.fb10-1
- New upstream release

* Tue Feb 21 2012 Andy Grover <agrover@redhat.com> - 2.0rc1.fb9-1
- New upstream release

* Thu Feb 16 2012 Andy Grover <agrover@redhat.com> - 2.0rc1.fb8-1
- New upstream release

* Wed Feb 8 2012 Andy Grover <agrover@redhat.com> - 2.0rc1.fb7-1
- New upstream release

* Fri Feb 3 2012 Andy Grover <agrover@redhat.com> - 2.0rc1.fb6-1
- New upstream release

* Tue Jan 24 2012 Andy Grover <agrover@redhat.com> - 2.0rc1.fb5-2
- Update After= in service file to wait for localfs and network
- Improve description in service file

* Tue Jan 24 2012 Andy Grover <agrover@redhat.com> - 2.0rc1.fb5-1
- New upstream release

* Fri Jan 13 2012 Andy Grover <agrover@redhat.com> - 2.0rc1.fb4-1
- New upstream release

* Tue Dec 13 2011 Andy Grover <agrover@redhat.com> - 2.0rc1.fb3-2
- Fix service file to mount configfs before starting targetcli

* Tue Dec 13 2011 Andy Grover <agrover@redhat.com> - 2.0rc1.fb3-1
- New upstream release
- Fixup service file for new start/stop targetcli commands

* Tue Dec 6 2011 Andy Grover <agrover@redhat.com> - 2.0rc1.fb2-1
- New upstream source and release
- Remove patches:
  * targetcli-git-version.patch
  * 0001-Remove-ads-from-cli-welcome-msg.-Mention-help-is-ava.patch
  * 0002-bundle-lio-utils.patch
  * 0003-Hack.-dump-scripts-aren-t-in-PATH-anymore-so-call-th.patch
  * 0004-ignore-errors-from-failure-to-set-device-attributes.patch
  * 0005-fix-spec_root-path.patch
  * 0006-add-docs.patch
  * 0007-all-start.patch

* Mon Nov 21 2011 Andy Grover <agrover@redhat.com> - 1.99.2.gitb03ec79-4
- Update doc patch to include iscsi tutorial

* Wed Nov 2 2011 Andy Grover <agrover@redhat.com> - 1.99.2.gitb03ec79-3
- Add buildrequires for systemd-units
- use _unitdir
- remove preun, modify post

* Wed Nov 2 2011 Andy Grover <agrover@redhat.com> - 1.99.2.gitb03ec79-2
- Add patch
  * 0007-all-start.patch
- Replace sysv init with systemd init

* Fri Oct 7 2011 Andy Grover <agrover@redhat.com> - 1.99.2.gitb03ec79-1
- Initial Fedora packaging
